edu.msu.cme.rdp.multicompare

## Class Reprocess

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.Reprocess

    public class Reprocess
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Reprocess()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)` This class reprocesses the classification results (allrank output) and print out hierarchy output file, based on the confidence cutoff; and print out only the detail classification results with assignment at certain rank with confidence above the cutoff or/and matching a given taxon.
`static java.util.HashSet<java.lang.String>` `readTaxonFilterFile(java.lang.String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Reprocess

    public Reprocess()

### Method Detail

#### readTaxonFilterFile

    public static java.util.HashSet<java.lang.String> readTaxonFilterFile(java.lang.String file)
                                                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

This class reprocesses the classification results (allrank output) and print out hierarchy output file, based on the confidence cutoff; and print out only the detail classification results with assignment at certain rank with confidence above the cutoff or/and matching a given taxon.

Parameters:
  `args` -
Throws:
  `java.lang.Exception`